zenilib: zenilib/jni/external/sdl/SDL/SDL_test_crc32.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Functions
SDL_test_crc32.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Classes

struct | SDLTest_Crc32Context

## Macros

#define | CRC32_POLY 0xEDB88320 /* Perl String::CRC32 compatible */
#define | CrcUint32 unsigned int
#define | CrcUint8 unsigned char

## Functions

int | SDLTest_crc32Calc (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
int | SDLTest_Crc32CalcBuffer (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
int | SDLTest_Crc32CalcEnd (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
int | SDLTest_Crc32CalcStart (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
int | SDLTest_Crc32Done (SDLTest_Crc32Context *crcContext)
int | SDLTest_Crc32Init (SDLTest_Crc32Context *crcContext)

## Detailed Description

Include file for SDL test framework.

This code is a part of the SDL2_test library, not the main SDL library.

Definition in file SDL_test_crc32.h.

## Macro Definition Documentation

#define CRC32_POLY 0xEDB88320 /* Perl String::CRC32 compatible */

Definition at line 60 of file SDL_test_crc32.h.

Referenced by SDLTest_Crc32Init().

#define CrcUint32 unsigned int

Definition at line 51 of file SDL_test_crc32.h.

Referenced by SDLTest_Crc32CalcBuffer(), and SDLTest_Crc32Init().

#define CrcUint8 unsigned char

Definition at line 54 of file SDL_test_crc32.h.

Referenced by SDLTest_Crc32CalcBuffer().

## Function Documentation

int SDLTest_crc32Calc | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

/brief calculate a crc32 from a data block

/param crcContext pointer to context variable /param inBuf input buffer to checksum /param inLen length of input buffer /param crc32 pointer to Uint32 to store the final CRC into

/returns 0 for OK, -1 on error

int SDLTest_Crc32CalcBuffer | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 128 of file SDL_test_crc32.c.

References crc32(), SDLTest_Crc32Context::crc32_table, CrcUint32, CrcUint8, and NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32CalcEnd | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 110 of file SDL_test_crc32.c.

References NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32CalcStart | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

Definition at line 92 of file SDL_test_crc32.c.

References NULL.

Referenced by SDLTest_Crc32Calc().

int SDLTest_Crc32Done | ( | SDLTest_Crc32Context * | crcContext | ) |

/brief clean up CRC context

/param crcContext pointer to context variable

/returns 0 for OK, -1 on error

Definition at line 158 of file SDL_test_crc32.c.

References NULL.

int SDLTest_Crc32Init | ( | SDLTest_Crc32Context * | crcContext | ) |

/brief Initialize the CRC context

Note: The function initializes the crc table required for all crc calculations.

/param crcContext pointer to context variable

/returns 0 for OK, -1 on error

Definition at line 34 of file SDL_test_crc32.c.

References CRC32_POLY, SDLTest_Crc32Context::crc32_table, CrcUint32, i, j, and NULL.